<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFSimpleShape (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFSimpleShape (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":9,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFSimpleShape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSheetConditionalFormatting.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTable.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFSimpleShape.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFSimpleShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFShape">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFSimpleShape" class="title">Class XSSFSimpleShape</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                       title="class in org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel.XSSFShape</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xssf.usermodel.XSSFSimpleShape</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Iterable&lt;<a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFTextParagraph</a>&gt;, <a
                            href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                            title="interface in org.apache.poi.ss.usermodel">Shape</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/SimpleShape.html"
                            title="interface in org.apache.poi.ss.usermodel">SimpleShape</a>, <a
                            href="../../../../../org/apache/poi/xddf/usermodel/text/TextContainer.html"
                            title="interface in org.apache.poi.xddf.usermodel.text">TextContainer</a></dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFObjectData.html"
                           title="class in org.apache.poi.xssf.usermodel">XSSFObjectData</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextBox.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFTextBox</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XSSFSimpleShape</span>
extends <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
           title="class in org.apache.poi.xssf.usermodel">XSSFShape</a>
implements java.lang.Iterable&lt;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html"
                                    title="class in org.apache.poi.xssf.usermodel">XSSFTextParagraph</a>&gt;, <a
                            href="../../../../../org/apache/poi/ss/usermodel/SimpleShape.html"
                            title="interface in org.apache.poi.ss.usermodel">SimpleShape</a>, <a
                            href="../../../../../org/apache/poi/xddf/usermodel/text/TextContainer.html"
                            title="interface in org.apache.poi.xddf.usermodel.text">TextContainer</a></pre>
                <div class="block">Represents a shape with a predefined geometry in a SpreadsheetML drawing.
                    Possible shape types are defined in
                    <a href="../../../../../org/apache/poi/ss/usermodel/ShapeTypes.html"
                       title="class in org.apache.poi.ss.usermodel"><code>ShapeTypes</code></a></div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFShape">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.xssf.usermodel.<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFShape</a></h3>
                                <code><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#anchor">anchor</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#drawing">drawing</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#parent">parent</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#XSSFSimpleShape-org.apache.poi.xssf.usermodel.XSSFDrawing-org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape-">XSSFSimpleShape</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDrawing.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFDrawing</a>&nbsp;drawing,
                                    org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape&nbsp;ctShape)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFTextParagraph</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#addNewTextParagraph--">addNewTextParagraph</a></span>()</code>
                                    <div class="block">Add a new paragraph run to this shape</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFTextParagraph</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#addNewTextParagraph-java.lang.String-">addNewTextParagraph</a></span>(java.lang.String&nbsp;text)</code>
                                    <div class="block">Add a new paragraph run to this shape, set to the provided
                                        string
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFTextParagraph</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#addNewTextParagraph-org.apache.poi.xssf.usermodel.XSSFRichTextString-">addNewTextParagraph</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFRichTextString</a>&nbsp;str)</code>
                                    <div class="block">Add a new paragraph run to this shape, set to the provided rich
                                        text
                                        string
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#clearText--">clearText</a></span>()</code>
                                    <div class="block">Clear all text from this shape</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>&lt;R&gt;&nbsp;java.util.Optional&lt;R&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#findDefinedParagraphProperty-java.util.function.Function-java.util.function.Function-">findDefinedParagraphProperty</a></span>(java.util.function.Function&lt;org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties,java.lang.Boolean&gt;&nbsp;isSet,
                                    java.util.function.Function&lt;org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties,R&gt;&nbsp;getter)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>&lt;R&gt;&nbsp;java.util.Optional&lt;R&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#findDefinedRunProperty-java.util.function.Function-java.util.function.Function-">findDefinedRunProperty</a></span>(java.util.function.Function&lt;org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties,java.lang.Boolean&gt;&nbsp;isSet,
                                    java.util.function.Function&lt;org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties,R&gt;&nbsp;getter)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getBottomInset--">getBottomInset</a></span>()</code>
                                    <div class="block">Returns the distance (in points) between the bottom of the text
                                        frame and
                                        the bottom of the inscribed rectangle of the shape that contains the
                                        text.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getCTShape--">getCTShape</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getLeftInset--">getLeftInset</a></span>()</code>
                                    <div class="block">Returns the distance (in points) between the left edge of the
                                        text frame
                                        and the left edge of the inscribed rectangle of the shape that contains
                                        the text.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getRightInset--">getRightInset</a></span>()</code>
                                    <div class="block">Returns the distance (in points) between the right edge of the
                                        text frame
                                        and the right edge of the inscribed rectangle of the shape that contains
                                        the text.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getShapeId--">getShapeId</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getShapeName--">getShapeName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getShapeProperties--">getShapeProperties</a></span>()</code>
                                    <div class="block">Returns xml bean with shape properties.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getShapeType--">getShapeType</a></span>()</code>
                                    <div class="block">Gets the shape type, one of the constants defined in
                                        <a href="../../../../../org/apache/poi/ss/usermodel/ShapeTypes.html"
                                           title="class in org.apache.poi.ss.usermodel"><code>ShapeTypes</code></a>.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getText--">getText</a></span>()</code>
                                    <div class="block">Returns the text from all paragraphs in the shape.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/TextAutofit.html"
                                        title="enum in org.apache.poi.xssf.usermodel">TextAutofit</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getTextAutofit--">getTextAutofit</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFTextBody</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getTextBody--">getTextBody</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/TextDirection.html"
                                        title="enum in org.apache.poi.xssf.usermodel">TextDirection</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getTextDirection--">getTextDirection</a></span>()</code>
                                    <div class="block">Gets the vertical orientation of the text</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/TextHorizontalOverflow.html"
                                        title="enum in org.apache.poi.xssf.usermodel">TextHorizontalOverflow</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getTextHorizontalOverflow--">getTextHorizontalOverflow</a></span>()</code>
                                    <div class="block">Returns the type of horizontal overflow for the text.</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFTextParagraph</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getTextParagraphs--">getTextParagraphs</a></span>()</code>
                                    <div class="block">Returns a collection of the XSSFTextParagraphs that are attached
                                        to this
                                        shape
                                    </div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/TextVerticalOverflow.html"
                                        title="enum in org.apache.poi.xssf.usermodel">TextVerticalOverflow</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getTextVerticalOverflow--">getTextVerticalOverflow</a></span>()</code>
                                    <div class="block">Returns the type of vertical overflow for the text.</div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getTopInset--">getTopInset</a></span>()</code>
                                    <div class="block">Returns the distance (in points) between the top of the text
                                        frame and
                                        the top of the inscribed rectangle of the shape that contains the text.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/VerticalAlignment.html"
                                        title="enum in org.apache.poi.ss.usermodel">VerticalAlignment</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getVerticalAlignment--">getVerticalAlignment</a></span>()</code>
                                    <div class="block">Returns the type of vertical alignment for the text within the
                                        shape.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getWordWrap--">getWordWrap</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFTextParagraph</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#iterator--">iterator</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>protected static
                                    org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#prototype--">prototype</a></span>()</code>
                                    <div class="block">Prototype with the default structure of a new auto-shape.</div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setBottomInset-double-">setBottomInset</a></span>(double&nbsp;margin)</code>
                                    <div class="block">Sets the bottom inset.</div>
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setLeftInset-double-">setLeftInset</a></span>(double&nbsp;margin)</code>
                                    <div class="block">Sets the left inset.</div>
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setRightInset-double-">setRightInset</a></span>(double&nbsp;margin)</code>
                                    <div class="block">Sets the right inset.</div>
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setShapeType-int-">setShapeType</a></span>(int&nbsp;type)</code>
                                    <div class="block">Sets the shape types.</div>
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setText-java.lang.String-">setText</a></span>(java.lang.String&nbsp;text)</code>
                                    <div class="block">Set a single paragraph of text on the shape.</div>
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setText-org.apache.poi.xssf.usermodel.XSSFRichTextString-">setText</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFRichTextString</a>&nbsp;str)</code>
                                    <div class="block">Set a single paragraph of text on the shape.</div>
                                </td>
                            </tr>
                            <tr id="i32" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setTextAutofit-org.apache.poi.xssf.usermodel.TextAutofit-">setTextAutofit</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/TextAutofit.html"
                                        title="enum in org.apache.poi.xssf.usermodel">TextAutofit</a>&nbsp;value)</code>
                                    <div class="block">Specifies that a shape should be auto-fit to fully contain the
                                        text
                                        described within it.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i33" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setTextDirection-org.apache.poi.xssf.usermodel.TextDirection-">setTextDirection</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/TextDirection.html"
                                        title="enum in org.apache.poi.xssf.usermodel">TextDirection</a>&nbsp;orientation)</code>
                                    <div class="block">Sets the vertical orientation of the text</div>
                                </td>
                            </tr>
                            <tr id="i34" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setTextHorizontalOverflow-org.apache.poi.xssf.usermodel.TextHorizontalOverflow-">setTextHorizontalOverflow</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/TextHorizontalOverflow.html"
                                        title="enum in org.apache.poi.xssf.usermodel">TextHorizontalOverflow</a>&nbsp;overflow)</code>
                                    <div class="block">Sets the type of horizontal overflow for the text.</div>
                                </td>
                            </tr>
                            <tr id="i35" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setTextVerticalOverflow-org.apache.poi.xssf.usermodel.TextVerticalOverflow-">setTextVerticalOverflow</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/TextVerticalOverflow.html"
                                        title="enum in org.apache.poi.xssf.usermodel">TextVerticalOverflow</a>&nbsp;overflow)</code>
                                    <div class="block">Sets the type of vertical overflow for the text.</div>
                                </td>
                            </tr>
                            <tr id="i36" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setTopInset-double-">setTopInset</a></span>(double&nbsp;margin)</code>
                                    <div class="block">Sets the top inset.</div>
                                </td>
                            </tr>
                            <tr id="i37" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setVerticalAlignment-org.apache.poi.ss.usermodel.VerticalAlignment-">setVerticalAlignment</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/VerticalAlignment.html"
                                        title="enum in org.apache.poi.ss.usermodel">VerticalAlignment</a>&nbsp;anchor)</code>
                                    <div class="block">Sets the type of vertical alignment for the text within the
                                        shape.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i38" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setWordWrap-boolean-">setWordWrap</a></span>(boolean&nbsp;wrap)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i39" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setXfrm-org.openxmlformats.schemas.drawingml.x2006.main.CTTransform2D-">setXfrm</a></span>(org.openxmlformats.schemas.drawingml.x2006.main.CTTransform2D&nbsp;t2d)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xssf.usermodel.<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFShape</a></h3>
                                <code><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getDrawing--">getDrawing</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#isNoFill--">isNoFill</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setFillColor-int-int-int-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setLineStyle-int-">setLineStyle</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setLineStyleColor-int-int-int-">setLineStyleColor</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setLineWidth-double-">setLineWidth</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setNoFill-boolean-">setNoFill</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, spliterator</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.Shape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                        title="interface in org.apache.poi.ss.usermodel">Shape</a></h3>
                                <code><a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#isNoFill--">isNoFill</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setFillColor-int-int-int-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setLineStyleColor-int-int-int-">setLineStyleColor</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setNoFill-boolean-">setNoFill</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFSimpleShape-org.apache.poi.xssf.usermodel.XSSFDrawing-org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFSimpleShape</h4>
                                <pre>protected&nbsp;XSSFSimpleShape(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDrawing.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFDrawing</a>&nbsp;drawing,
                          org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape&nbsp;ctShape)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="prototype--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>prototype</h4>
                                <pre>protected static&nbsp;org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape&nbsp;prototype()</pre>
                                <div class="block">Prototype with the default structure of a new auto-shape.</div>
                            </li>
                        </ul>
                        <a name="getCTShape--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTShape</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape&nbsp;getCTShape()</pre>
                            </li>
                        </ul>
                        <a name="getTextBody--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextBody</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
public&nbsp;<a href="../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html"
               title="class in org.apache.poi.xddf.usermodel.text">XDDFTextBody</a>&nbsp;getTextBody()</pre>
                            </li>
                        </ul>
                        <a name="setXfrm-org.openxmlformats.schemas.drawingml.x2006.main.CTTransform2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setXfrm</h4>
                                <pre>protected&nbsp;void&nbsp;setXfrm(org.openxmlformats.schemas.drawingml.x2006.main.CTTransform2D&nbsp;t2d)</pre>
                            </li>
                        </ul>
                        <a name="iterator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>iterator</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFTextParagraph</a>&gt;&nbsp;iterator()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;<a
                                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFTextParagraph</a>&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getText()</pre>
                                <div class="block">Returns the text from all paragraphs in the shape. Paragraphs are
                                    separated by new lines.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>text contained within this shape or empty string</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="clearText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clearText</h4>
                                <pre>public&nbsp;void&nbsp;clearText()</pre>
                                <div class="block">Clear all text from this shape</div>
                            </li>
                        </ul>
                        <a name="setText-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setText</h4>
                                <pre>public&nbsp;void&nbsp;setText(java.lang.String&nbsp;text)</pre>
                                <div class="block">Set a single paragraph of text on the shape. Note this will replace
                                    all
                                    existing paragraphs created on the shape.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>text</code> - string representing the paragraph text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setText-org.apache.poi.xssf.usermodel.XSSFRichTextString-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setText</h4>
                                <pre>public&nbsp;void&nbsp;setText(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFRichTextString</a>&nbsp;str)</pre>
                                <div class="block">Set a single paragraph of text on the shape. Note this will replace
                                    all
                                    existing paragraphs created on the shape.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>str</code> - rich text string representing the paragraph text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTextParagraphs--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextParagraphs</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFTextParagraph</a>&gt;&nbsp;getTextParagraphs()</pre>
                                <div class="block">Returns a collection of the XSSFTextParagraphs that are attached to
                                    this
                                    shape
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>text paragraphs in this shape</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addNewTextParagraph--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addNewTextParagraph</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFTextParagraph</a>&nbsp;addNewTextParagraph()</pre>
                                <div class="block">Add a new paragraph run to this shape</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>created paragraph run</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addNewTextParagraph-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addNewTextParagraph</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFTextParagraph</a>&nbsp;addNewTextParagraph(java.lang.String&nbsp;text)</pre>
                                <div class="block">Add a new paragraph run to this shape, set to the provided string
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>created paragraph run</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addNewTextParagraph-org.apache.poi.xssf.usermodel.XSSFRichTextString-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addNewTextParagraph</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFTextParagraph</a>&nbsp;addNewTextParagraph(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFRichTextString</a>&nbsp;str)</pre>
                                <div class="block">Add a new paragraph run to this shape, set to the provided rich text
                                    string
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>created paragraph run</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTextHorizontalOverflow-org.apache.poi.xssf.usermodel.TextHorizontalOverflow-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTextHorizontalOverflow</h4>
                                <pre>public&nbsp;void&nbsp;setTextHorizontalOverflow(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/TextHorizontalOverflow.html"
                                        title="enum in org.apache.poi.xssf.usermodel">TextHorizontalOverflow</a>&nbsp;overflow)</pre>
                                <div class="block">Sets the type of horizontal overflow for the text.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>overflow</code> - - the type of horizontal overflow. A <code>null</code>
                                        values
                                        unsets this property.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTextHorizontalOverflow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextHorizontalOverflow</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/TextHorizontalOverflow.html"
                                        title="enum in org.apache.poi.xssf.usermodel">TextHorizontalOverflow</a>&nbsp;getTextHorizontalOverflow()</pre>
                                <div class="block">Returns the type of horizontal overflow for the text.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the type of horizontal overflow</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTextVerticalOverflow-org.apache.poi.xssf.usermodel.TextVerticalOverflow-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTextVerticalOverflow</h4>
                                <pre>public&nbsp;void&nbsp;setTextVerticalOverflow(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/TextVerticalOverflow.html"
                                        title="enum in org.apache.poi.xssf.usermodel">TextVerticalOverflow</a>&nbsp;overflow)</pre>
                                <div class="block">Sets the type of vertical overflow for the text.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>overflow</code> - - the type of vertical overflow. A <code>null</code>
                                        values
                                        unsets this property.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTextVerticalOverflow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextVerticalOverflow</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/TextVerticalOverflow.html"
                                        title="enum in org.apache.poi.xssf.usermodel">TextVerticalOverflow</a>&nbsp;getTextVerticalOverflow()</pre>
                                <div class="block">Returns the type of vertical overflow for the text.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the type of vertical overflow</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setVerticalAlignment-org.apache.poi.ss.usermodel.VerticalAlignment-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setVerticalAlignment</h4>
                                <pre>public&nbsp;void&nbsp;setVerticalAlignment(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/VerticalAlignment.html"
                                        title="enum in org.apache.poi.ss.usermodel">VerticalAlignment</a>&nbsp;anchor)</pre>
                                <div class="block">Sets the type of vertical alignment for the text within the shape.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - - the type of alignment. A <code>null</code> values unsets
                                        this property.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getVerticalAlignment--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getVerticalAlignment</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/VerticalAlignment.html"
                                        title="enum in org.apache.poi.ss.usermodel">VerticalAlignment</a>&nbsp;getVerticalAlignment()</pre>
                                <div class="block">Returns the type of vertical alignment for the text within the
                                    shape.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the type of vertical alignment</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTextDirection-org.apache.poi.xssf.usermodel.TextDirection-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTextDirection</h4>
                                <pre>public&nbsp;void&nbsp;setTextDirection(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/TextDirection.html"
                                        title="enum in org.apache.poi.xssf.usermodel">TextDirection</a>&nbsp;orientation)</pre>
                                <div class="block">Sets the vertical orientation of the text</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>orientation</code> - vertical orientation of the text A <code>null</code>
                                        values
                                        unsets this property.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTextDirection--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextDirection</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/TextDirection.html"
                                        title="enum in org.apache.poi.xssf.usermodel">TextDirection</a>&nbsp;getTextDirection()</pre>
                                <div class="block">Gets the vertical orientation of the text</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>vertical orientation of the text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBottomInset--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBottomInset</h4>
                                <pre>public&nbsp;double&nbsp;getBottomInset()</pre>
                                <div class="block">Returns the distance (in points) between the bottom of the text frame
                                    and
                                    the bottom of the inscribed rectangle of the shape that contains the
                                    text.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the bottom inset in points</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLeftInset--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLeftInset</h4>
                                <pre>public&nbsp;double&nbsp;getLeftInset()</pre>
                                <div class="block">Returns the distance (in points) between the left edge of the text
                                    frame
                                    and the left edge of the inscribed rectangle of the shape that contains
                                    the text.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the left inset in points</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRightInset--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRightInset</h4>
                                <pre>public&nbsp;double&nbsp;getRightInset()</pre>
                                <div class="block">Returns the distance (in points) between the right edge of the text
                                    frame
                                    and the right edge of the inscribed rectangle of the shape that contains
                                    the text.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the right inset in points</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTopInset--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTopInset</h4>
                                <pre>public&nbsp;double&nbsp;getTopInset()</pre>
                                <div class="block">Returns the distance (in points) between the top of the text frame
                                    and
                                    the top of the inscribed rectangle of the shape that contains the text.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the top inset in points</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBottomInset-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBottomInset</h4>
                                <pre>public&nbsp;void&nbsp;setBottomInset(double&nbsp;margin)</pre>
                                <div class="block">Sets the bottom inset.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>margin</code> - the bottom margin</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getBottomInset--"><code>getBottomInset()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLeftInset-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLeftInset</h4>
                                <pre>public&nbsp;void&nbsp;setLeftInset(double&nbsp;margin)</pre>
                                <div class="block">Sets the left inset.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>margin</code> - the left margin</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getLeftInset--"><code>getLeftInset()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRightInset-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRightInset</h4>
                                <pre>public&nbsp;void&nbsp;setRightInset(double&nbsp;margin)</pre>
                                <div class="block">Sets the right inset.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>margin</code> - the right margin</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getRightInset--"><code>getRightInset()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTopInset-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTopInset</h4>
                                <pre>public&nbsp;void&nbsp;setTopInset(double&nbsp;margin)</pre>
                                <div class="block">Sets the top inset.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>margin</code> - the top margin</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getTopInset--"><code>getTopInset()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getWordWrap--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getWordWrap</h4>
                                <pre>public&nbsp;boolean&nbsp;getWordWrap()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>whether to wrap words within the bounding rectangle</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setWordWrap-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setWordWrap</h4>
                                <pre>public&nbsp;void&nbsp;setWordWrap(boolean&nbsp;wrap)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>wrap</code> - whether to wrap words within the bounding rectangle</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTextAutofit-org.apache.poi.xssf.usermodel.TextAutofit-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTextAutofit</h4>
                                <pre>public&nbsp;void&nbsp;setTextAutofit(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/TextAutofit.html"
                                        title="enum in org.apache.poi.xssf.usermodel">TextAutofit</a>&nbsp;value)</pre>
                                <div class="block">Specifies that a shape should be auto-fit to fully contain the text
                                    described within it. Auto-fitting is when text within a shape is scaled
                                    in order to contain all the text inside
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - type of autofit</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTextAutofit--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextAutofit</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/TextAutofit.html"
                                                    title="enum in org.apache.poi.xssf.usermodel">TextAutofit</a>&nbsp;getTextAutofit()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>type of autofit</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getShapeType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShapeType</h4>
                                <pre>public&nbsp;int&nbsp;getShapeType()</pre>
                                <div class="block">Gets the shape type, one of the constants defined in
                                    <a href="../../../../../org/apache/poi/ss/usermodel/ShapeTypes.html"
                                       title="class in org.apache.poi.ss.usermodel"><code>ShapeTypes</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the shape type</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/ShapeTypes.html"
                                           title="class in org.apache.poi.ss.usermodel"><code>ShapeTypes</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setShapeType-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setShapeType</h4>
                                <pre>public&nbsp;void&nbsp;setShapeType(int&nbsp;type)</pre>
                                <div class="block">Sets the shape types.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>type</code> - the shape type, one of the constants defined in
                                        <a href="../../../../../org/apache/poi/ss/usermodel/ShapeTypes.html"
                                           title="class in org.apache.poi.ss.usermodel"><code>ShapeTypes</code></a>.
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/ShapeTypes.html"
                                           title="class in org.apache.poi.ss.usermodel"><code>ShapeTypes</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getShapeProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShapeProperties</h4>
                                <pre>protected&nbsp;org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties&nbsp;getShapeProperties()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getShapeProperties--">XSSFShape</a></code></span>
                                </div>
                                <div class="block">Returns xml bean with shape properties.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getShapeProperties--">getShapeProperties</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                                title="class in org.apache.poi.xssf.usermodel">XSSFShape</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>xml bean with shape properties.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getShapeName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShapeName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getShapeName()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getShapeName--">getShapeName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                                title="interface in org.apache.poi.ss.usermodel">Shape</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the name of this shape</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getShapeId--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShapeId</h4>
                                <pre>public&nbsp;int&nbsp;getShapeId()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/SimpleShape.html#getShapeId--">getShapeId</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/SimpleShape.html"
                                                title="interface in org.apache.poi.ss.usermodel">SimpleShape</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the shape id, which is unique within the sheet</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="findDefinedParagraphProperty-java.util.function.Function-java.util.function.Function-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>findDefinedParagraphProperty</h4>
                                <pre>public&nbsp;&lt;R&gt;&nbsp;java.util.Optional&lt;R&gt;&nbsp;findDefinedParagraphProperty(java.util.function.Function&lt;org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties,java.lang.Boolean&gt;&nbsp;isSet,
                                                              java.util.function.Function&lt;org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties,R&gt;&nbsp;getter)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xddf/usermodel/text/TextContainer.html#findDefinedParagraphProperty-java.util.function.Function-java.util.function.Function-">findDefinedParagraphProperty</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xddf/usermodel/text/TextContainer.html"
                                                title="interface in org.apache.poi.xddf.usermodel.text">TextContainer</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="findDefinedRunProperty-java.util.function.Function-java.util.function.Function-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>findDefinedRunProperty</h4>
                                <pre>public&nbsp;&lt;R&gt;&nbsp;java.util.Optional&lt;R&gt;&nbsp;findDefinedRunProperty(java.util.function.Function&lt;org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties,java.lang.Boolean&gt;&nbsp;isSet,
                                                        java.util.function.Function&lt;org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties,R&gt;&nbsp;getter)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xddf/usermodel/text/TextContainer.html#findDefinedRunProperty-java.util.function.Function-java.util.function.Function-">findDefinedRunProperty</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xddf/usermodel/text/TextContainer.html"
                                                title="interface in org.apache.poi.xddf.usermodel.text">TextContainer</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFSimpleShape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSheetConditionalFormatting.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTable.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFSimpleShape.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFSimpleShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFShape">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
